org.jboss.jca.core.tx.noopts

## Class TransactionIntegrationImpl

- java.lang.Object
- - org.jboss.jca.core.tx.noopts.TransactionIntegrationImpl

- All Implemented Interfaces:
    org.jboss.jca.core.spi.transaction.TransactionIntegration

      public class TransactionIntegrationImpl
      extends java.lang.Object
      implements org.jboss.jca.core.spi.transaction.TransactionIntegration

  This class provide an implementation of the transaction integration for the IronJacamar container using NoopTS.
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionIntegrationImpl(javax.transaction.TransactionManager tm, javax.transaction.TransactionSynchronizationRegistry tsr, org.jboss.jca.core.spi.transaction.usertx.UserTransactionRegistry utr, org.jboss.jca.core.spi.transaction.xa.XATerminator terminator, org.jboss.jca.core.spi.transaction.recovery.XAResourceRecoveryRegistry rr)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jboss.jca.core.spi.transaction.local.LocalXAResource` | `createConnectableLocalXAResource(org.jboss.jca.core.api.connectionmanager.ConnectionManager cm, java.lang.String productName, java.lang.String productVersion, java.lang.String jndiName, org.jboss.jca.core.spi.transaction.ConnectableResource cr, org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)` Create a connectable LocalXAResource instance
    `org.jboss.jca.core.spi.transaction.local.LocalXAResource` | `createConnectableLocalXAResource(org.jboss.jca.core.api.connectionmanager.ConnectionManager cm, java.lang.String productName, java.lang.String productVersion, java.lang.String jndiName, javax.resource.spi.ManagedConnection mc, org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)` Create a connectable LocalXAResource instance
    `org.jboss.jca.core.spi.transaction.xa.XAResourceWrapper` | `createConnectableXAResourceWrapper(javax.transaction.xa.XAResource xares, boolean pad, java.lang.Boolean override, java.lang.String productName, java.lang.String productVersion, java.lang.String jndiName, org.jboss.jca.core.spi.transaction.ConnectableResource cr, org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)` Create a connectable XAResource wrapper instance
    `org.jboss.jca.core.spi.transaction.xa.XAResourceWrapper` | `createConnectableXAResourceWrapper(javax.transaction.xa.XAResource xares, boolean pad, java.lang.Boolean override, java.lang.String productName, java.lang.String productVersion, java.lang.String jndiName, javax.resource.spi.ManagedConnection mc, org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)` Create a connectable XAResource wrapper instance
    `org.jboss.jca.core.spi.transaction.local.LocalXAResource` | `createLocalXAResource(org.jboss.jca.core.api.connectionmanager.ConnectionManager cm, java.lang.String productName, java.lang.String productVersion, java.lang.String jndiName, org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)` Create a LocalXAResource instance
    `org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery` | `createXAResourceRecovery(javax.resource.spi.ManagedConnectionFactory mcf, java.lang.Boolean pad, java.lang.Boolean override, java.lang.Boolean wrapXAResource, java.lang.String recoverUserName, java.lang.String recoverPassword, java.lang.String recoverSecurityDomain, org.jboss.jca.core.spi.security.SubjectFactory subjectFactory, org.jboss.jca.core.spi.recovery.RecoveryPlugin plugin, org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)` Create an XAResourceRecovery instance
    `org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery` | `createXAResourceRecovery(javax.resource.spi.ResourceAdapter rar, javax.resource.spi.ActivationSpec as, java.lang.String productName, java.lang.String productVersion)` Create an XAResourceRecovery instance
    `org.jboss.jca.core.spi.transaction.xa.XAResourceWrapper` | `createXAResourceWrapper(javax.transaction.xa.XAResource xares, boolean pad, java.lang.Boolean override, java.lang.String productName, java.lang.String productVersion, java.lang.String jndiName, boolean firstResource, org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)` Create an XAResource wrapper instance
    `java.lang.Object` | `getIdentifier(javax.transaction.Transaction tx)` Get the identifier for the transaction
    `org.jboss.jca.core.spi.transaction.recovery.XAResourceRecoveryRegistry` | `getRecoveryRegistry()` Get the recovery registry
    `javax.transaction.TransactionManager` | `getTransactionManager()` Get the transaction manager
    `javax.transaction.TransactionSynchronizationRegistry` | `getTransactionSynchronizationRegistry()` Get the transaction synchronization registry
    `org.jboss.jca.core.spi.transaction.usertx.UserTransactionRegistry` | `getUserTransactionRegistry()` Get the user transaction registry
    `org.jboss.jca.core.spi.transaction.xa.XATerminator` | `getXATerminator()` Get the XATerminator
    `boolean` | `isConnectableResource(javax.resource.spi.ManagedConnection mc)` Is a connectable resource
    `boolean` | `isFirstResource(javax.resource.spi.ManagedConnection mc)` Is a first resource

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionIntegrationImpl

          public TransactionIntegrationImpl(javax.transaction.TransactionManager tm,
                                            javax.transaction.TransactionSynchronizationRegistry tsr,
                                            org.jboss.jca.core.spi.transaction.usertx.UserTransactionRegistry utr,
                                            org.jboss.jca.core.spi.transaction.xa.XATerminator terminator,
                                            org.jboss.jca.core.spi.transaction.recovery.XAResourceRecoveryRegistry rr)

      Constructor
      Parameters:
        `tm` - The transaction manager
        `tsr` - The transaction synchronization registry
        `utr` - The user transaction registry
        `terminator` - The XA terminator
        `rr` - The recovery registry

  - ### Method Detail

    - #### getTransactionManager

          public javax.transaction.TransactionManager getTransactionManager()

      Get the transaction manager
      Specified by:
        `getTransactionManager` in interface `org.jboss.jca.core.spi.transaction.TransactionIntegration`
      Returns:
        The value

    - #### getTransactionSynchronizationRegistry

          public javax.transaction.TransactionSynchronizationRegistry getTransactionSynchronizationRegistry()

      Get the transaction synchronization registry
      Specified by:
        `getTransactionSynchronizationRegistry` in interface `org.jboss.jca.core.spi.transaction.TransactionIntegration`
      Returns:
        The value

    - #### getUserTransactionRegistry

          public org.jboss.jca.core.spi.transaction.usertx.UserTransactionRegistry getUserTransactionRegistry()

      Get the user transaction registry
      Specified by:
        `getUserTransactionRegistry` in interface `org.jboss.jca.core.spi.transaction.TransactionIntegration`
      Returns:
        The value

    - #### getRecoveryRegistry

          public org.jboss.jca.core.spi.transaction.recovery.XAResourceRecoveryRegistry getRecoveryRegistry()

      Get the recovery registry
      Specified by:
        `getRecoveryRegistry` in interface `org.jboss.jca.core.spi.transaction.TransactionIntegration`
      Returns:
        The value

    - #### getXATerminator

          public org.jboss.jca.core.spi.transaction.xa.XATerminator getXATerminator()

      Get the XATerminator
      Specified by:
        `getXATerminator` in interface `org.jboss.jca.core.spi.transaction.TransactionIntegration`
      Returns:
        The value

    - #### createXAResourceRecovery

          public org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery createXAResourceRecovery(javax.resource.spi.ResourceAdapter rar,
                                                                                                         javax.resource.spi.ActivationSpec as,
                                                                                                         java.lang.String productName,
                                                                                                         java.lang.String productVersion)

      Create an XAResourceRecovery instance
      Specified by:
        `createXAResourceRecovery` in interface `org.jboss.jca.core.spi.transaction.TransactionIntegration`
      Parameters:
        `rar` - The resource adapter
        `as` - The activation spec
        `productName` - The product name
        `productVersion` - The product version
      Returns:
        The value

    - #### createXAResourceRecovery

          public org.jboss.jca.core.spi.transaction.recovery.XAResourceRecovery createXAResourceRecovery(javax.resource.spi.ManagedConnectionFactory mcf,
                                                                                                         java.lang.Boolean pad,
                                                                                                         java.lang.Boolean override,
                                                                                                         java.lang.Boolean wrapXAResource,
                                                                                                         java.lang.String recoverUserName,
                                                                                                         java.lang.String recoverPassword,
                                                                                                         java.lang.String recoverSecurityDomain,
                                                                                                         org.jboss.jca.core.spi.security.SubjectFactory subjectFactory,
                                                                                                         org.jboss.jca.core.spi.recovery.RecoveryPlugin plugin,
                                                                                                         org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)

      Create an XAResourceRecovery instance
      Specified by:
        `createXAResourceRecovery` in interface `org.jboss.jca.core.spi.transaction.TransactionIntegration`
      Parameters:
        `mcf` - The managed connection factory
        `pad` - Should the branch qualifier for Xid's be padded
        `override` - Should the isSameRM value be overriden; `null` for instance equally check
        `wrapXAResource` - Should the XAResource be wrapped
        `recoverUserName` - The user name for recovery
        `recoverPassword` - The password for recovery
        `recoverSecurityDomain` - The security domain for recovery
        `subjectFactory` - The subject factory
        `plugin` - The recovery plugin
        `xastat` - The XAResource statistics implementation
      Returns:
        The value

    - #### createConnectableLocalXAResource

          public org.jboss.jca.core.spi.transaction.local.LocalXAResource createConnectableLocalXAResource(org.jboss.jca.core.api.connectionmanager.ConnectionManager cm,
                                                                                                           java.lang.String productName,
                                                                                                           java.lang.String productVersion,
                                                                                                           java.lang.String jndiName,
                                                                                                           org.jboss.jca.core.spi.transaction.ConnectableResource cr,
                                                                                                           org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)

      Create a connectable LocalXAResource instance
      Specified by:
        `createConnectableLocalXAResource` in interface `org.jboss.jca.core.spi.transaction.TransactionIntegration`
      Parameters:
        `cm` - The connection manager
        `productName` - The product name
        `productVersion` - The product version
        `jndiName` - The JNDI name for the resource
        `cr` - The connectable resource
        `xastat` - The XAResource statistics implementation
      Returns:
        The value

    - #### createConnectableLocalXAResource

          public org.jboss.jca.core.spi.transaction.local.LocalXAResource createConnectableLocalXAResource(org.jboss.jca.core.api.connectionmanager.ConnectionManager cm,
                                                                                                           java.lang.String productName,
                                                                                                           java.lang.String productVersion,
                                                                                                           java.lang.String jndiName,
                                                                                                           javax.resource.spi.ManagedConnection mc,
                                                                                                           org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)

      Create a connectable LocalXAResource instance
      Specified by:
        `createConnectableLocalXAResource` in interface `org.jboss.jca.core.spi.transaction.TransactionIntegration`
      Parameters:
        `cm` - The connection manager
        `productName` - The product name
        `productVersion` - The product version
        `jndiName` - The JNDI name for the resource
        `mc` - The managed connection
        `xastat` - The XAResource statistics implementation
      Returns:
        The value

    - #### createLocalXAResource

          public org.jboss.jca.core.spi.transaction.local.LocalXAResource createLocalXAResource(org.jboss.jca.core.api.connectionmanager.ConnectionManager cm,
                                                                                                java.lang.String productName,
                                                                                                java.lang.String productVersion,
                                                                                                java.lang.String jndiName,
                                                                                                org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)

      Create a LocalXAResource instance
      Specified by:
        `createLocalXAResource` in interface `org.jboss.jca.core.spi.transaction.TransactionIntegration`
      Parameters:
        `cm` - The connection manager
        `productName` - The product name
        `productVersion` - The product version
        `jndiName` - The JNDI name for the resource
        `xastat` - The XAResource statistics implementation
      Returns:
        The value

    - #### createConnectableXAResourceWrapper

          public org.jboss.jca.core.spi.transaction.xa.XAResourceWrapper createConnectableXAResourceWrapper(javax.transaction.xa.XAResource xares,
                                                                                                            boolean pad,
                                                                                                            java.lang.Boolean override,
                                                                                                            java.lang.String productName,
                                                                                                            java.lang.String productVersion,
                                                                                                            java.lang.String jndiName,
                                                                                                            org.jboss.jca.core.spi.transaction.ConnectableResource cr,
                                                                                                            org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)

      Create a connectable XAResource wrapper instance
      Specified by:
        `createConnectableXAResourceWrapper` in interface `org.jboss.jca.core.spi.transaction.TransactionIntegration`
      Parameters:
        `xares` - The XAResource instance
        `pad` - Should the branch qualifier for Xid's be padded
        `override` - Should the isSameRM value be overriden; `null` for instance equally check
        `productName` - The product name
        `productVersion` - The product version
        `jndiName` - The JNDI name for the resource
        `cr` - The connectable resource
        `xastat` - The XAResource statistics implementation
      Returns:
        The value

    - #### createConnectableXAResourceWrapper

          public org.jboss.jca.core.spi.transaction.xa.XAResourceWrapper createConnectableXAResourceWrapper(javax.transaction.xa.XAResource xares,
                                                                                                            boolean pad,
                                                                                                            java.lang.Boolean override,
                                                                                                            java.lang.String productName,
                                                                                                            java.lang.String productVersion,
                                                                                                            java.lang.String jndiName,
                                                                                                            javax.resource.spi.ManagedConnection mc,
                                                                                                            org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)

      Create a connectable XAResource wrapper instance
      Specified by:
        `createConnectableXAResourceWrapper` in interface `org.jboss.jca.core.spi.transaction.TransactionIntegration`
      Parameters:
        `xares` - The XAResource instance
        `pad` - Should the branch qualifier for Xid's be padded
        `override` - Should the isSameRM value be overriden; `null` for instance equally check
        `productName` - The product name
        `productVersion` - The product version
        `jndiName` - The JNDI name for the resource
        `mc` - The managed connection
        `xastat` - The XAResource statistics implementation
      Returns:
        The value

    - #### createXAResourceWrapper

          public org.jboss.jca.core.spi.transaction.xa.XAResourceWrapper createXAResourceWrapper(javax.transaction.xa.XAResource xares,
                                                                                                 boolean pad,
                                                                                                 java.lang.Boolean override,
                                                                                                 java.lang.String productName,
                                                                                                 java.lang.String productVersion,
                                                                                                 java.lang.String jndiName,
                                                                                                 boolean firstResource,
                                                                                                 org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)

      Create an XAResource wrapper instance
      Specified by:
        `createXAResourceWrapper` in interface `org.jboss.jca.core.spi.transaction.TransactionIntegration`
      Parameters:
        `xares` - The XAResource instance
        `pad` - Should the branch qualifier for Xid's be padded
        `override` - Should the isSameRM value be overriden; `null` for instance equally check
        `productName` - The product name
        `productVersion` - The product version
        `jndiName` - The JNDI name for the resource
        `firstResource` - Is the resource a first resource
        `xastat` - The XAResource statistics implementation
      Returns:
        The value

    - #### isFirstResource

          public boolean isFirstResource(javax.resource.spi.ManagedConnection mc)

      Is a first resource
      Specified by:
        `isFirstResource` in interface `org.jboss.jca.core.spi.transaction.TransactionIntegration`
      Parameters:
        `mc` - The managed connection
      Returns:
        The value

    - #### isConnectableResource

          public boolean isConnectableResource(javax.resource.spi.ManagedConnection mc)

      Is a connectable resource
      Specified by:
        `isConnectableResource` in interface `org.jboss.jca.core.spi.transaction.TransactionIntegration`
      Parameters:
        `mc` - The managed connection
      Returns:
        The value

    - #### getIdentifier

          public java.lang.Object getIdentifier(javax.transaction.Transaction tx)

      Get the identifier for the transaction
      Specified by:
        `getIdentifier` in interface `org.jboss.jca.core.spi.transaction.TransactionIntegration`
      Parameters:
        `tx` - The transaction
      Returns:
        Its stable identifier

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)